Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.dtm.ref
Class DTMDefaultBaseIterators.PrecedingIterator

    java.lang.Object
      |
      +--org.apache.xml.dtm.ref.DTMAxisIteratorBase
            |
            +--org.apache.xml.dtm.ref.DTMDefaultBaseIterators.InternalAxisIteratorBase
                  |
                  +--org.apache.xml.dtm.ref.DTMDefaultBaseIterators.PrecedingIterator

Direct Known Subclasses:
  DTMDefaultBaseIterators.TypedPrecedingIterator

public class DTMDefaultBaseIterators.PrecedingIterator
extends DTMDefaultBaseIterators.InternalAxisIteratorBase

Iterator that returns preceding nodes of a given node. This includes the node set {root+1, start-1}, but excludes all ancestors, attributes, and namespace nodes.

Constructor Summary
`DTMDefaultBaseIterators.PrecedingIterator()`

Method Summary
`DTMAxisIterator` | `cloneIterator()` Returns a deep copy of this iterator.
`void` | `gotoMark()`
`boolean` | `isReverse()` True if this iterator has a reversed axis.
`int` | `next()` Get the next node in the iteration.
`DTMAxisIterator` | `reset()` Resets the iterator to the last start node.
`void` | `setMark()`
`DTMAxisIterator` | `setStartNode(int node)` Set start to END should 'close' the iterator, i.e.

Methods inherited from class org.apache.xml.dtm.ref.DTMAxisIteratorBase
`getAxis, getLast, getNodeByPosition, getPosition, getStartNode, includeSelf, isDocOrdered, setRestartable`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DTMDefaultBaseIterators.PrecedingIterator

    public DTMDefaultBaseIterators.PrecedingIterator()

Method Detail

### isReverse

    public boolean isReverse()

  True if this iterator has a reversed axis.
  Returns:
    true since this iterator is a reversed axis.
  Overrides:
    isReverse in class DTMAxisIteratorBase

### cloneIterator

    public DTMAxisIterator cloneIterator()

  Returns a deep copy of this iterator. The cloned iterator is not reset.
  Returns:
    a deep copy of this iterator.
  Overrides:
    cloneIterator in class DTMAxisIteratorBase

### setStartNode

    public DTMAxisIterator setStartNode(int node)

  Set start to END should 'close' the iterator, i.e. subsequent call to next() should return END.
  Parameters:
    `node` - Sets the root of the iteration.
  Returns:
    A DTMAxisIterator set to the start of the iteration.

### next

    public int next()

  Get the next node in the iteration.
  Returns:
    The next node handle in the iteration, or END.

### reset

    public DTMAxisIterator reset()

  Resets the iterator to the last start node.
  Returns:
    A DTMAxisIterator, which may or may not be the same as this iterator.
  Overrides:
    reset in class DTMAxisIteratorBase

### setMark

    public void setMark()

  Overrides:
    setMark in class DTMDefaultBaseIterators.InternalAxisIteratorBase

### gotoMark

    public void gotoMark()

  Overrides:
    gotoMark in class DTMDefaultBaseIterators.InternalAxisIteratorBase

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache XML Project. All Rights Reserved.